## GomCursor GomCursor |

## Functions

#define | GOM_CURSOR_CONST()
const gchar * | gom_cursor_get_column_name ()
guint | gom_cursor_get_n_columns ()
void | gom_cursor_get_column ()
gboolean | gom_cursor_get_column_boolean ()
gdouble | gom_cursor_get_column_double ()
gfloat | gom_cursor_get_column_float ()
gint | gom_cursor_get_column_int ()
gint64 | gom_cursor_get_column_int64 ()
const gchar * | gom_cursor_get_column_string ()
guint | gom_cursor_get_column_uint ()
guint64 | gom_cursor_get_column_uint64 ()
gboolean | gom_cursor_next ()

## Properties

gpointer | statement | Read / Write / Construct Only

## Object Hierarchy

        GObject
        ╰── GomCursor

## Description

## Functions

### GOM_CURSOR_CONST()

    #define GOM_CURSOR_CONST(obj)      (G_TYPE_CHECK_INSTANCE_CAST ((obj), GOM_TYPE_CURSOR, GomCursor const))

### gom_cursor_get_column_name ()

    const gchar *
    gom_cursor_get_column_name (GomCursor *cursor,
                                guint column);

### gom_cursor_get_n_columns ()

    guint
    gom_cursor_get_n_columns (GomCursor *cursor);

### gom_cursor_get_column ()

    void
    gom_cursor_get_column (GomCursor *cursor,
                           guint column,
                           GValue *value);

### gom_cursor_get_column_boolean ()

    gboolean
    gom_cursor_get_column_boolean (GomCursor *cursor,
                                   guint column);

### gom_cursor_get_column_double ()

    gdouble
    gom_cursor_get_column_double (GomCursor *cursor,
                                  guint column);

### gom_cursor_get_column_float ()

    gfloat
    gom_cursor_get_column_float (GomCursor *cursor,
                                 guint column);

### gom_cursor_get_column_int ()

    gint
    gom_cursor_get_column_int (GomCursor *cursor,
                               guint column);

### gom_cursor_get_column_int64 ()

    gint64
    gom_cursor_get_column_int64 (GomCursor *cursor,
                                 guint column);

### gom_cursor_get_column_string ()

    const gchar *
    gom_cursor_get_column_string (GomCursor *cursor,
                                  guint column);

### gom_cursor_get_column_uint ()

    guint
    gom_cursor_get_column_uint (GomCursor *cursor,
                                guint column);

### gom_cursor_get_column_uint64 ()

    guint64
    gom_cursor_get_column_uint64 (GomCursor *cursor,
                                  guint column);

### gom_cursor_next ()

    gboolean
    gom_cursor_next (GomCursor *cursor);

## Property Details

### The `“statement”` property

      “statement”                gpointer

A pointer to a sqlite3_stmt.

Owner: GomCursor

Flags: Read / Write / Construct Only